View Issue Details

IDProjectCategoryView StatusLast Update
0005431GNUnetotherpublic2019-02-28 11:17
Reporterng0Assigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005431: improve debugging by adding -v or --version switches
DescriptionLast night Devan and myself did some experiments with ATS. gnunet-cadet crashed after a while, and we figured my gnunet might be too old (which it was).


Instead of guessing and then updating, we should be able to just do:

gnunet-$subcommand -v

or if GNU likes --version better:

gnunet-$subcommand --version

and get the git commit this version was build from.
TagsNo tags attached.

Activities

Christian Grothoff

2018-11-21 00:08

manager   ~0013352

Well, -v and --version do exist. There was just a tiny bug in the configure.ac preventing the --version from outputting the correct Git version. Fixed now. 14180e7ab..1816097b7

Issue History

Date Modified Username Field Change
2018-09-05 08:33 ng0 New Issue
2018-11-21 00:08 Christian Grothoff Note Added: 0013352
2018-11-21 00:08 Christian Grothoff Assigned To => Christian Grothoff
2018-11-21 00:08 Christian Grothoff Status new => resolved
2018-11-21 00:08 Christian Grothoff Resolution open => fixed
2018-11-21 00:08 Christian Grothoff Fixed in Version => 0.11.0
2018-11-21 00:08 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed